Embeddings (OpenAI 형식)
curl --request POST \
--url https://api.gravitex.ai/v1/embeddings \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
'import requests
url = "https://api.gravitex.ai/v1/embeddings"
payload = {
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', input: {}, encoding_format: '<string>', dimensions: 123})
};
fetch('https://api.gravitex.ai/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
텍스트 완성 및 임베딩
Embeddings (OpenAI 형식)
POST /v1/embeddings 텍스트 임베딩
POST
/
v1
/
embeddings
Embeddings (OpenAI 형식)
소개
텍스트를 벡터 임베딩으로 변환하여 시맨틱 검색, 유사도 계산, 클러스터링에 활용합니다. OpenAI Embeddings API와 호환됩니다.인증
string
필수
Bearer Token, 예:
Bearer sk-xxxxxxxxxx요청 본문
string
필수
모델 이름, 예:
text-embedding-3-small, text-embedding-3-large, text-embedding-ada-002string | array
필수
임베딩할 텍스트(문자열 또는 문자열 배열)
string
기본값:"float"
float 또는 base64integer
출력 차원 수(일부 모델만 지원)
예시
curl https://api.gravitex.ai/v1/embeddings \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"model": "text-embedding-3-small",
"input": "Hello, world"
}'
Python 예시
from openai import OpenAI
client = OpenAI(
api_key="sk-xxxxxxxxxx",
base_url="https://api.gravitex.ai/v1"
)
response = client.embeddings.create(
model="text-embedding-3-small",
input="Hello, world"
)
print(response.data[0].embedding)
지원 모델
| Model | Dimensions | Notes |
|---|---|---|
| text-embedding-3-small | 1536 | 비용 효율적 |
| text-embedding-3-large | 3072 | 고정밀 |
| text-embedding-ada-002 | 1536 | 레거시 |
input에 배열을 전달하면 일괄 임베딩이 가능합니다- 일부 모델은 사용자 지정
dimensions를 지원합니다
⌘I
